//! Defines errors which may be returned by [sharedlib](index.html).

mod os_error;

mod os_error_failure;

mod library_close;

mod library_find_symbol;

mod library_open;

mod sharedlib_error;

mod sharedlib_result;

pub use error::os_error::OsError;

pub use error::os_error_failure::OsErrorFailure;

pub use error::library_close::LibraryClose;

pub use error::library_find_symbol::LibraryFindSymbol;

pub use error::library_open::LibraryOpen;

pub use error::sharedlib_error::SharedlibError;

pub use error::sharedlib_result::SharedlibResult;
